Package: org.codehaus.groovy.classgen.asm

## [Java] Class BlockRecorder

- org.codehaus.groovy.classgen.asm.CompileStack.BlockRecorder

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Runnable` | `excludedStatement` |
    `LinkedList<LabelRange>` | `ranges` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `CompileStack.BlockRecorder ()`
    `CompileStack.BlockRecorder (Runnable excludedStatement)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `closeRange(org.objectweb.asm.Label end)`
    `` | `void` | `startRange(org.objectweb.asm.Label start)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### public Runnable excludedStatement

    - #### public LinkedList<LabelRange> ranges

  - ### Constructor Detail

    - #### public CompileStack.BlockRecorder()

    - #### public CompileStack.BlockRecorder(Runnable excludedStatement)

  - ### Method Detail

    - #### public void closeRange(org.objectweb.asm.Label end)

    - #### public void startRange(org.objectweb.asm.Label start)